
*******************************************
*
*Main text results
*
*******************************************

***************************************
*Table 4: Agreeableness and vote for Die Linke
**************************************

*Model 1
logit vote_constit_linke agre open con ext  neu q1 age age2  edu, or
*Model 2
logit vote_constit_linke agre open con ext  neu q1 age age2  edu lr_economic lr_new, or

*predicted support for Die Linke mentioned in the text among low and high agreeable 
margins, at(agre=(.25 1))
*predicted suppurt for Die Linke mentioned in the text among economic left and right wing 
margins, at(lr_economic=(0 1))

*******************************************
*Figure 4
*******************************************
margins, at(agre=(0(.05)1))
marginsplot, ///
title("")  ///
ytitle("Predicted Probability") xtitle("Agreeableness")  ///
recast(line)   plotopts(color(black)) recastci(rline) ciopts(color(white) lcolor(black) lpattern(dash)) plotregion(color(white)) graphregion(color(white)) ///
xscale(range(.2(.1)1)) xlabel(0.2(.1)1) yscale(range(.075(.025).15) axis(1)) ylabel(0.075(.025).15, angle(0) nogrid) ///
addplot(hist agre  if q2!=. & edu!=. & lr_economic!=. & lr_new!=. ///
, percent bin(100) yaxis(2) ylabel(0(10)40, axis(2) angle(0)) lcolor(gs10) bfcolor(none) yscale(line alt axis(2)) ytitle("Percentage Agreeableness", axis(2)))

*******************************************
*
*Supporting Information
*
*******************************************

*********************************************
*
*SI E
*
*********************************************

*Table E.2: Descriptive statistics
su open con ext agre neu lr_economic lr_new age age2 
ta female 
ta edu

*Table E.3: Correlation between independent variables
pwcorr open con ext agre neu lr_economic lr_new, sig

*********************************************
*
*SI F
*
*********************************************

*recode constituency Linke (1); progressive (2) vs. conservative (3)
gen vote_constit_progcons = q40a
recode vote_constit_progcons (1000 999 998 = .) (7 = 1) (4 6 = 2) (1 5 801 802 988 = 3) 
ta vote_constit_progcons

*Table F.2: Linke; vs rogressive and conservative parties
mlogit vote_constit_progcons open con ext agre neu q1 age age2 edu lr_economic lr_new, base(1) rrr 

**********************************************
*Linke; vs government and opposition parties
**********************************************

*relative risk ratios reported
mlogit vote_constit_govopp open con ext agre neu q1 age age2 edu lr_economic lr_new, base(1) rrr 

*********************************************
*
*SI G: interactions bteween personality traits
*
*********************************************

*********************************************
*
*SI H
*
*********************************************

*Table H.2: German models
logit vote_constit_linke open con ext agre neu 	///
q1 age age2 edu lr_economic lr_new 				///
c.agre#c.lr_economic  c.agre#c.lr_new , or

*Figure H.2
margins, at(lr_new=(0(.1)1) agre=(0.25 1))
*plot for SI H
marginsplot, plot (, label("Low Agreeableness" "High Agreeableness"))      	///
recast(line) recastci(rline) ylabel(.1(.1).3, angle(0) nogrid) plotregion(color(white)) graphregion(color(white)) ///
xlabel(0(.25)1) 												///
plot1opts(lcolor(black) clpattern(line))  						///
ci1opts (clpattern(dash) color(black))							///
plot2opts(clpattern(longdash) lcolor(black))   						///
ci2opts (clpattern(dash) color(black))							///
xtitle("Social Attitudes") title("Predicted support for Die Linke") ytitle("Predicted Probability") 		


*********************************************
*SI I
*********************************************

*recode constituency Linke; govenrment; opposition; coalition
gen vote_constit_govopp= q40a
recode vote_constit_govopp (1000 999 998 = .) (7 = 1) (1 4= 2) (5 6 801 802 988 = 3) 
ta vote_constit_govopp

*Table I.2: Linke; vs government and opposition parties
*relative risk ratios reported
mlogit vote_constit_govopp open con ext agre neu q1 age age2 edu lr_economic lr_new, base(1) rrr 


