
*************************
*constrain to only participants who are 18 or older
*************************
ta ragelt18
drop if ragelt18==1

*************************
*Sex
*************************
gen female = q1
*female=1
recode female (1=0) (2=1)

*************************
*age
*************************
gen age= (q2-18)/76
su age

*************************
*age square
*************************
gen age2 = age*age

*************************
*Education
*************************
gen edu = d176
recode edu (97 99 9 =.)


*************************
*left right - socio economic dimension
*************************
gen lr_economic = q81
*set don't know and don't want to tell to missing
recode lr_economic (99 98 = .)
*code to range from 0 - 1
replace lr_economic = ((lr_economic-1)/10)
*code to range from left-right
replace lr_economic = 1-lr_economic

*************************
*left right - authoritarian libertarian dimension
*************************
gen lr_new = q82
*set don't know and don't want to tell to missing
recode lr_new (99 98 = .)
*code to range from left-right
replace lr_new = ((lr_new-1)/10)


*************************
*
*generate personality
*
*************************

*************************
*Opennesss
*************************
gen open = q163d
*set don't know to missing
recode open (99 98 = .)
*code to range from low (0) to high (1)
replace open = ((open-1)/4)

*************************
*Conscientiousness
*************************
gen con = q163c
*set don't know to missing
recode con (99 98 = .)
*code to range from low (0) to high (1)
replace con = ((con-1)/4)

*************************
*Extraverison
*************************
gen ext = q163a
*set don't know to missing
recode ext (99 98 = .)
*code to range from low (0) to high (1)
replace ext = ((ext-1)/4)
*correct for reversed coding: so low is high and high is low
replace ext = 1-ext

*************************
*Agreeableness
*************************
gen agre = q163b
*set don't know to missing
recode agre (99 98 = .)
*code to range from low (0) to high (1)
replace agre = ((agre-1)/4)

*************************
*Neuroticism
*************************
gen neu = q163e
*set don't know to missing
recode neu (99 98 = .)
*code to range from low (0) to high (1)
replace neu = ((neu-1)/4)

*************
*DVs
*************

*vote intention 1 - which candidate in constituency woould you vote for 
gen vote_constit_linke = q40a
recode vote_constit_linke (1 4 5 6 801 802 988 = 0) (1000 999 998 = .) (7 = 1)
ta vote_constit_linke



