
******************************
*
*Mean level difference test
*
******************************

*observed mean in sammple is 0.66
su comb_agre if vote_pvv_onlyvote!=.
*test if PVV voters differ from the mean
ttest comb_agre==0.66 if vote_pvv_onlyvote==1

******************************
*
*Study 2: Table 3
*
******************************
*Model 1
logit vote_pvv_onlyvote comb_agre comb_open comb_con comb_ext comb_neu female age age2 education, or cluster(nohouse_encr)
*Model 2
logit vote_pvv_onlyvote comb_agre comb_open comb_con comb_ext comb_neu female age age2 education v10_redistribution immi_law, or cluster(nohouse_encr)

*predicted probability in text
margins, at(comb_agre=(.41 .91))											
margins, at(immi_law=(0.25 1))
margins, at(comb_ext=(0.3 .825))

******************************
*
*Study 2: Figure 2
*
******************************

*marginsplot									
margins, at(comb_agre=(0.3(.1)1)) 										
*plot figure
marginsplot, ///
title("")  ///
ytitle("Predicted Probability") xtitle("Agreeableness")  ///
recast(line)   plotopts(color(black)) recastci(rline) ciopts(color(white) lcolor(black) lpattern(dash)) plotregion(color(white)) graphregion(color(white)) ///
xscale(range(.2(.1)1)) xlabel(0.2(.1)1) yscale(range(.075(.025).15) axis(1)) ylabel(0.075(.025).15, angle(0) nogrid) ///
addplot(hist comb_agre  if comb_agre>=.3 & age!=. & education!=. & v10_redistribution!=. & immi_law!=. ///
, percent bin(30) yaxis(2) ylabel(0(2)10, axis(2) angle(0)) lcolor(gs10) bfcolor(none) yscale(line alt axis(2)) ytitle("Percentage Agreeableness", axis(2)))

******************************
*
*Supplementary Material D
*
******************************

******************************
*Table D.2: Descriptive statistics
******************************
su comb_agre comb_open comb_con comb_ext comb_neu age age2 education v10_redistribution immi_law if vote_pvv_onlyvote!=.

ta female if vote_pvv_onlyvote!=.
su age if vote_pvv_onlyvote!=.
ta education if vote_pvv_onlyvote!=.


******************************
*Table D.3: Correlation between independent variables
******************************
pwcorr comb_open comb_con comb_ext comb_agre comb_neu  v10_redistribution immi_law if vote_pvv_onlyvote!=., sig

******************************
*
*Supplementary Material F
*
******************************

******************************
*Table F.1: Vote intention PVV compared to progressive and conservative parties
******************************
mlogit vote_pvv_progcon comb_agre comb_open comb_con comb_ext comb_neu female age age2 education v10_redistribution immi_law, base(1) rrr cluster(nohouse_encr)

******************************
*
*Supplementary Material G
*
******************************

******************************
*Table G.2: Agreeableness X Openness and Conscientiousness in Dutch sample
******************************
logit vote_pvv_onlyvote comb_agre comb_open comb_con comb_ext comb_neu ///
female age age2 education v10_redistribution immi_law ///
c.comb_agre#c.comb_open c.comb_agre#c.comb_con, or cluster(nohouse_encr)
test c.comb_agre#c.comb_open c.comb_agre#c.comb_con

******************************
*
*Supplementary Material H
*
******************************

******************************
*Table H.2: Agreeableness X Ideology in Dutch sample
******************************
logit vote_pvv_onlyvote comb_agre comb_open comb_con comb_ext comb_neu ///
female age age2 education v10_redistribution immi_law ///
c.comb_agre#c.v10_redistribution c.comb_agre#c.immi_law, or cluster(nohouse_encr)
test c.comb_agre#c.v10_redistribution c.comb_agre#c.immi_law

******************************
*Figure H.1: Predicted support for PVV among voters with low and high levels of Agreeableness conditional upon social ideology
******************************
margins, at(immi_law=(0(.25)1) comb_agre=(.4 .9))
*plot for SI H
marginsplot, plot (, label("Low Agreeableness" "High Agreeableness"))      	///
recast(line) recastci(rline) ylabel(.1(.1).4, angle(0) nogrid) plotregion(color(white)) graphregion(color(white)) ///
xlabel(0(.25)1) 												///
plot1opts(lcolor(black) clpattern(line))  						///
ci1opts (clpattern(dash) color(black))							///
plot2opts(clpattern(longdash) lcolor(black))   						///
ci2opts (clpattern(dash) color(black))							///
xtitle("Social Attitudes") title("Predicted support for the PVV") ytitle("Predicted Probability") 		

******************************
*
*Supplementary Material H
*
******************************

******************************
*Table I.1: Multinomial regresssion model (study 2)
******************************
mlogit vote_pvv_multiappendix comb_agre comb_open comb_con comb_ext comb_neu female age age2 education v10_redistribution immi_law, base(0) rrr cluster(nohouse_encr)



