
**********************************************
*
*Table 2. Agreeablenss and Tea Party favourability in ANES 2012
*
**********************************************

*Model 1
ologit tea_support agre open con ext  neu female age age2 i.race education, or cluster(sample_stfips)

*Model 2
ologit tea_support agre open con extra  neuro female age age2 i.race  education dum_govserv moraltradit  authoritarian, or cluster(sample_stfips)

*Predicted probability reported in the text
*Agreeableness
margins, at(agre=(.25 1)) predict(outcome(7))
*Authortarianism
margins, at(authoritarian=(0 1)) predict(outcome(7))
*Economic ideology
margins, at(dum_govserv=(0 1)) predict(outcome(7))

**********************************************
*
*Figure 1: Predicted probability of supporting the Tea Party in ANES 2012
*
**********************************************

*caluclate predicted probabilities
margins, at(agre=(.20(.05)1)) predict(outcome(7))
*create Figure 1
marginsplot, ///
title("")  ///
ytitle("Predicted Probability") xtitle("Agreeableness")  ///
recast(line)   plotopts(color(black)) recastci(rline) ciopts(color(white) lcolor(black) lpattern(dash)) plotregion(color(white)) graphregion(color(white)) ///
xscale(range(.2(.1)1)) xlabel(0.2(.1)1) yscale(range(.075(.025).15) axis(1)) ylabel(0.075(.025).15, angle(0) nogrid) ///
addplot(hist agre  if agre>=.25 & education!=. & education!=. & dum_govserv!=. & moraltradit!=. & authoritarian!=. ///
, percent bin(100) yaxis(2) ylabel(0(5)20, axis(2) angle(0)) lcolor(gs10) bfcolor(none) yscale(line alt axis(2)) ytitle("Percentages Agreeableness", axis(2)))

**********************************************
*
*Supporting Information A
*
**********************************************

**********************************************
*Table A.2
**********************************************
su open con ext agre neu age age2 dum_govserv moraltrad authoritarian
ta female
ta race
ta education

*Agreeableness
pwcorr A_warm A_criti
alpha A_warm A_criti

*Openness
pwcorr O_open O_conv
alpha O_open O_conv 

*Conscientiousness
pwcorr C_depen C_disorg
alpha C_depen C_disorg

*Extraversion
pwcorr E_extra E_reser
alpha E_extra E_reser

*Neuroticism
pwcorr N_anx N_calm
alpha N_anx N_calm

*Authoritariansim
alpha auth_1 auth_2 auth_3 auth_4

*Social attitudes
alpha dum_adj dum_life dum_toler dum_famval

**********************************************
*Table A.3: Correlations between variables inthe study
**********************************************
pwcorr open con ext agre trust neu dum_govserv moraltrad authoritarian, sig

**********************************************
*
*Supplementary Material C: Discriminant validity
*
**********************************************

**********************************************
*Table C.1: Multinomial regression analysis of vote choce in 2012 elections
**********************************************
mlogit vote_choice agre open con ext  neu female age age2 i.race  education dum_govserv moraltrad  authoritarian, base(1) rrr cluster(sample_stfips)

**********************************************
*Table C.2: Agreeableness and the likability of thie Democratic and Republican party
**********************************************

*Democratic party
reg feel_democrats agre open con ext neu female age age2 i.race  education dum_govserv moraltrad  authoritarian, cluster(sample_stfips)

*Republican party
reg feel_republican agre open con ext  neu female age age2 i.race  education dum_govserv moraltrad  authoritarian, cluster(sample_stfips)

**********************************************
*
*Supplementary Material G: Interactions between personality traits
*
**********************************************

**********************************************
*Table G.1: Agreeableness X Openness and Conscientiousness in the ANES 2012
**********************************************

ologit tea_support agre open con ext neu		////
c.agre#c.open c.agre#c.con 						////
female age age2 i.race  education dum_govserv moraltradit  authoritarian, or cluster(sample_stfips)
test c.agre#c.open c.agre#c.con 

**********************************************
*
*Supplementary Material H: Interactions: Agreeableness X Social and Economic ideology
*
**********************************************

**********************************************
*Table H1. Agreeableness X Ideology in 2012
**********************************************

ologit tea_support  agre open con ext neu 	////
age age2 female i.race  education authoritarian dum_govserv moraltradit   ////
c.agre#c.dum_govserv c.agre#c.moraltradit, or cluster(sample_stfips)
test c.agre#c.dum_govserv c.agre#c.moraltradit



