
keep caseid tipi_open tipi_conv tipi_dep tipi_disorg tipi_extra tipi_resv 	///
tipi_warm tipi_crit tipi_anx tipi_calm tipi_anx tipi_calm 					///
dem_raceeth  gender_respondent dem_agegrp_iwdate dem_edugroup 				///
trad_adjust trad_lifestyle trad_tolerant trad_famval 						///
spsrvpr_ssself tea_supp_x cses_dptylike cses_rptylike sample_stfips 		///
presvote2012_x auth_ind auth_cur auth_obed auth_consid

*********************
*race
********************
gen race = dem_raceeth
recode race (-9 -8  =.)

**********************
*female
**********************
gen female = gender_respondent
recode female (1=0) (2=1)

*********************
*age group
********************
gen age_group = dem_agegrp_iwdate
recode age_group (-2=.)
gen age = (age_group-1)/12

*********************
*age non-lineair
********************
gen age2 = age*age

******************************
*Education - highest level
*****************************
gen education = dem_edugroup
recode education (-9 -2 = .)
ta education

********************************
*
*Personality
*
********************************
 
********************************
*Openness
********************************

*A. Open to new experiences
gen O_open = tipi_open
*set refused, don't know to missing
recode O_open (-9 -7 -6 =.)

*B. conventioal, uncreatie (reversed coded)
gen O_conv = tipi_conv
*recode 
recode O_conv (-9 -7 -6 =.) (1=7) (2=6) (3=5) (5=3) (6=2) (7=1)

*create scale
gen open = O_open + O_conv
*score to range from 0 to 1
replace open = (open-2)/12

********************************
*Conscientiousness
********************************

*A. Dependable, self-disciplined
gen C_depen = tipi_dep
*set refused, don't know to missing
recode C_depen (-9 -7 -6 =.)
*B. disorganized, careless (reversed coded)
gen C_disorg = tipi_disorg
*recode 
recode C_disorg (-9 -7 -6 =.) (1=7) (2=6) (3=5) (5=3) (6=2) (7=1)

*create scale
gen con = C_depen + C_disorg
*score to range from 0 to 1
replace con = (con-2)/12

********************************
*Extraversion
********************************

*A. Extraverted, enthusiasitc
gen E_extravert = tipi_extra
*set refused, don't know to missing
recode E_extravert (-9 -7 -6 =.)

*B. Reversed, quiet (reversed coded)
gen E_reserved = tipi_resv
*recode
recode E_reserved (-9 -7 -6 =.) (1=7) (2=6) (3=5) (5=3) (6=2) (7=1)

*create scale
gen extra = E_extra+E_reser
*score to range from 0 to 1
replace extra = (extra-2)/12

********************************
*Agreeableness
********************************

*A. Sympathetic, warm
gen A_warm = tipi_warm
*set refused, don't know to missing
recode A_warm (-9 -7 -6 =.)

*B. Critical, quarrelsome (reversed coded) 
gen A_critical =  tipi_crit
*recode
recode A_critical (-9 -7 -6 =.) (1=7) (2=6) (3=5) (5=3) (6=2) (7=1)

*create scale
gen agre = A_warm + A_criti
*score to range from 0 to 1
replace agre = (agre-2)/12

********************************
*Neuroticism
********************************
*A. Anxious, easily upset
gen N_anx = tipi_anx
recode N_anx (-9 -7 -6 =.)

*B. Calm, emotionally stable (reversed coded)
gen N_calm = tipi_calm
*recode
recode N_calm (-9 -7 -6 =.) (1=7) (2=6) (3=5) (5=3) (6=2) (7=1)

*create scale
gen neuro = N_anx+N_calm
replace neuro = (neuro-2)/12

******************************
*
*Authoritarianism
*
******************************

*1. Independence vs. respect
gen auth_1 = auth_ind
*set don't know, refused etc. to msising; recode so that 1==authortiarian
recode auth_1 (-9 -8 -7 -6 3 4 =.) (1=0) (2=1)

*2. Curiousity vs. good manners
gen auth_2 = auth_cur
*set don't know, refused etc. to msising; recode so that 1==authortiarian
recode auth_2 (-9 -8 -7 -6 3 4 =.) (1=0) (2=1)

*3. Obedience vs. self-reliance
gen auth_3 = auth_obed
*set don't know, refused etc. to msising; recode so that 1==authortiarian
recode auth_3 (-9 -8 -7 -6 3 4 =.) (1=1) (2=0)

*4. Considerate vs. well-behaved 
gen auth_4 = auth_consid
*set don't know, refused etc. to msising; recode so that 1==authortiarian
recode auth_4 (-9 -8 -7 -6 3 4 =.) (1=0) (2=1)

*Create scale
gen authoritarian = auth_1 + auth_2 + auth_3 + auth_4
*recode to range from 0 (low) to 1 (high).
replace authoritarian = authoritarian/4

*******************************
*Economic attitudes
*******************************
gen dum_govserv = spsrvpr_ssself
recode dum_govserv (-9 -8 -2=.)
*code to range from left/liberal (1) to right/conservative(7)
recode dum_govserv (7=1) (6=2) (5=3) (3=5) (2=6) (1=7)
*code to range from 0-1
replace dum_govserv = (dum_govserv-1)/6

********************
*moral traditionalism
*********************

gen dum_adj = trad_adjust
gen dum_life =trad_lifestyle
gen dum_toler= trad_tolerant
gen dum_famval=trad_famval

*set don't know, refused, etc. to missing
recode dum_adj dum_life dum_toler dum_famval (-9 -8 -7 -6 =.)
pwcorr dum_adj dum_life dum_toler dum_famval

*recode reversed coded items
recode dum_life dum_famval (1=5) (2=4) (4=2) (5=1)
*create scale
gen moraltradit = dum_adj+ dum_life+ dum_toler+ dum_famval
*score to range from liberal/left (0) to conservativ/right (1)
replace moraltradit = (moraltradit-4)/16

********************************
*support for Tea Party
********************************
gen tea_support = tea_supp_x
recode tea_support (-9 -8 =.)
recode tea_support (1=7) (2=6) (3=5) (5=3) (6=2) (7=1)

**************************
*vote chioce: Obama(1), Romney(2), Other(3), Abstention(4) 
**************************
gen vote_choice = presvote2012_x
recode vote_choice (-9 -6 =.) (-2=0)
recode vote_choice (0=4) (5=3)

********************************
*feeling towards the Democratic paty
********************************
gen feel_democrats = cses_dptylike
*set don't know, refused to missing
recode feel_democrats (-9 -8 -7 -6 -2 = .)
*code to range from 0 - 1
replace feel_democrats = feel_democrats/10

********************************
*feeling towards the Republican paty
********************************
gen feel_republican = cses_rptylike
*set don't know, refused to missing
recode feel_republican (-9 -8 -7 -6 -2 =.)
*code to range from 0 - 1
replace feel_republican = feel_republican/10
