
******************************************************
*
*Table 2: Agreeableness and Tea Party favourability in 2010 CCES
*
******************************************************

*Model 1
ologit symp_tea agreeableness openness conscientiousness extraversion neuroticism age age2 female i.race education, or cluster(v206)
*Model 2
ologit symp_tea agreeableness openness conscientiousness extraversion neuroticism age age2 female i.race education rwa taxspend abortion, or cluster(v206)

*predicted support for Tea Party reported in text
margins, at(agr=(.42 1)) predict(outcome(5)) 

*Figure 1 (lower panel): Predicted support for the Tea Party
margins, at(agr=(.20(.1)1)) predict(outcome(5)) 
marginsplot, ///
title("")  ///
ytitle("Predicted Probability") xtitle("Agreeableness")  ///
recast(line)   plotopts(color(black)) recastci(rline) ciopts(color(white) lcolor(black) lpattern(dash)) plotregion(color(white)) graphregion(color(white)) ///
xscale(range(.2(.1)1)) xlabel(0.2(.1)1) yscale(range(.075(.025).15) axis(1)) ylabel(0.075(.025).15, angle(0) nogrid) ///
addplot(hist agre  if agre>=.2 & education!=. & female!=. & taxspend!=. & abortion!=. & rwa!=. ///
, percent bin(100) yaxis(2) ylabel(0(5)20, axis(2) angle(0)) lcolor(gs10) bfcolor(none) yscale(line alt axis(2)) ytitle("Percentages Agreeableness", axis(2)))

******************************************************
*
*Supporting Information B
*
******************************************************

************************************
*Table B.2 Descriptive statistics
************************************
su open con ext agr neu taxspend abortion rwa age

ta female 
ta race
ta education

*Openness
pwcorr post_b_p_open post_b_p_conventional_R
alpha post_b_p_open post_b_p_conventional_R

*Conscientiousness 
pwcorr post_b_p_disorganized_R post_b_p_dependable
alpha post_b_p_disorganized_R post_b_p_dependable

*Agreeableness
pwcorr post_b_p_sympathetic post_b_p_critical_R
alpha post_b_p_sympathetic post_b_p_critical_R

*Neuoticism
pwcorr post_b_p_calm post_b_p_anxious_R
alpha post_b_p_calm post_b_p_anxious_R

*Extraversion
pwcorr post_b_p_extraverted post_b_p_reserved_R
alpha  post_b_p_extraverted post_b_p_reserved_R

*Authoritarianism
alpha rwa1 rwa2 rwa3

************************************
*Table B.3 Correlation between independent variables
************************************
pwcorr open con ext agr neu taxspend abortion rwa, sig

******************************************************
*
*Supporting information G
*
*******************************************************

************************************
*Table G.1: CCES 2010
************************************
ologit symp_tea agreeableness openness conscientiousness extraversion neuroticism  ////
age age2 female i.race education rwa taxspend abortion ///
c.agreeableness#c.openness c.agreeableness#c.conscientiousness, or cluster(v206)
test c.agreeableness#c.openness c.agreeableness#c.conscientiousness

*effect of trait over the range of another trait as discussed in the text
margins, dydx(agreeableness) at(openness=(0(.1)1)) predict(outcome(5))
margins, dydx(agreeableness) at(conscientiousness=(.1(.1)1)) predict(outcome(5))

******************************************************
*
*Supporting information H
*
*******************************************************

************************************
*Table H.1: Agreeableness X Ideology in CCES 2010
************************************

ologit symp_tea agreeableness openness conscientiousness extraversion neuroticism ////
age age2 female i.race education rwa taxspend abortion ////
c.agreeableness#c.taxspend c.agreeableness#c.abortion, or cluster(v206)
test c.agreeableness#c.taxspend c.agreeableness#c.abortion
