
*************************
*Race: White (1), Black (2), Hipanic (3), other (4)
*************************
gen race = v211
recode race (4 5 6 7 8 = 4)
ta race 

*************************
*Sex: 0=male, 1=female
*************************
gen female = v208
recode female (1=0) (2=1)

*************************
*Education
*************************
gen education = v213

*************************
*Age: 0-1
*************************
gen age = 2012-v207
*recode to range from 0 - 1
replace age = (age-20)/69

*************************
*Age2: 0-1
*************************
gen age2 = age*age

*************************
*Economic ideology: 0-1
*************************
gen taxspend = cc415r
*set don't know to missing
recode taxspend (997=.)
*recode to range from 0 - 1
replace taxspend = taxspend/100

*************************
*Social ideology: abortion
*************************
gen abortion = cc324
*Recode from left/liberal to right/conservative
*1.	By law, abortion should never be permitted.
*2.	The law should permit abortion only in case of rape, incest or when the womans life is in danger.
*3.	The law should permit abortion for reasons other than rape, incest, or danger to the womans life, but only after the need for the abortion has been clearly established.
*4.	By law, a woman should always be able to obtain an abortion as a matter of personal choice.
recode abortion (1=4) (2=3) (3=2) (4=1)
*recode to range from 0-1
replace abortion = (abortion-1)/3

*************************
*RWA
*************************
recode yalpsy021`i' yalpsy023`i' (1=0) (2=1) (*=.), gen(rwa1`i' rwa2`i')
recode yalpsy022`i' (1=1) (2=0) (*=.), gen(rwa3`i')
gen rwa`i'=(rwa1`i'+rwa2`i'+rwa3`i')/3
label var rwa`i' "Right Wing Authoritianism (RWA; 0-1)"

*************************
*Sympathy for the Tea Party
*************************
ta cc424
gen symp_tea = cc424
ta symp_tea
recode symp_tea (6 7 =.) (5=1) (4=2) (2=4) (1=5)

*************************
*
*Big Five traits
*
*************************

**TIPI
recode yalpsy001_post`i' yalpsy002_post`i' yalpsy003_post`i' yalpsy004_post`i' yalpsy005_post`i' yalpsy006_post`i' yalpsy007_post`i' yalpsy008_post`i' yalpsy009_post`i' yalpsy010_post`i' (1=1) (2=2) (3=3) (4=4) (5=5) (6=6) (7=7) (*=.), gen(post_b_p_extraverted`i' post_b_p_critical`i' post_b_p_dependable`i' post_b_p_anxious`i' post_b_p_open`i' post_b_p_reserved`i' post_b_p_sympathetic`i' post_b_p_disorganized`i' post_b_p_calm`i' post_b_p_conventional`i')
*reverse code
recode post_b_p_disorganized`i' post_b_p_conventional`i' post_b_p_critical`i' post_b_p_anxious`i' post_b_p_reserved`i' (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) (*=.), gen(post_b_p_disorganized_R`i' post_b_p_conventional_R`i' post_b_p_critical_R`i' post_b_p_anxious_R`i' post_b_p_reserved_R`i')

*Items range from 0 to 1 -- higher values indicate more of the trait
*Big Five - conscientiousness
gen conscientiousness`i' = (((post_b_p_dependable`i' + post_b_p_disorganized_R`i')/2)-1)/6 

*Big Five - openness to experiences
gen openness`i' = (((post_b_p_open`i' + post_b_p_conventional_R`i')/2)-1)/6
label var openness`i' "Openness Post (0-1)"

*Big Five - agreeableness
gen agreeableness`i' = (((post_b_p_sympathetic`i' + post_b_p_critical_R`i')/2)-1)/6
label var agreeableness`i' "Agreeableness post (0-1)"

*Big Five - Neuroticism
gen stability`i' = (((post_b_p_calm`i' + post_b_p_anxious_R`i')/2)-1)/6
*reocde so that low is stability and high is neuroticism
gen neuroticism = 1-stability
label var neuroticism`i' "Neuroticism Post (0-1)"

*Big Five - extraversion
gen extraversion`i' = (((post_b_p_extraverted`i' + post_b_p_reserved_R`i')/2)-1)/6
label var extraversion`i' "Extraversion Post (0-1)"


